package com.bonus.canteen.core.order.weight.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("mac_weigh_bind")
@ApiModel("人员餐盘绑定")
public class MacWeighBind extends Model<MacWeighBind> {
   @TableId
   @ApiModelProperty("id")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("人员限制id")
   private Integer custLimitId;
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("餐盘物理卡号")
   private String serialNum;
   @ApiModelProperty("卡片物理号")
   private String serialNumCard;
   @ApiModelProperty("餐盘号（微信绑盘是才有一般五位数字）")
   private String plateNum;
   @ApiModelProperty("绑定类型")
   private Integer bindType;
   @ApiModelProperty("核身方式")
   private Integer nuClearMode;
   @ApiModelProperty("绑定状态")
   private Integer bindState;
   @ApiModelProperty("设备订单号")
   private String macOrdId;
   @ApiModelProperty("支付方式")
   private Integer payType;
   @ApiModelProperty("折扣")
   private BigDecimal discount;
   @ApiModelProperty("支付时间")
   private LocalDateTime payTime;
   @ApiModelProperty("是否纠错")
   private Integer ifRedress;
   @ApiModelProperty("是否纠错")
   private String resressPicurl;
   @ApiModelProperty("是否纠错")
   private String redressRemarks;
   @ApiModelProperty("项目特殊字段")
   private String proSpecial;
   @ApiModelProperty("支付宝token")
   private String alifToken;
   @ApiModelProperty("支付宝加签")
   private String aliSign;
   @ApiModelProperty("设备sn码")
   private String machineSn;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("修改时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getCustLimitId() {
      return this.custLimitId;
   }

   public String getOpenid() {
      return this.openid;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getSerialNumCard() {
      return this.serialNumCard;
   }

   public String getPlateNum() {
      return this.plateNum;
   }

   public Integer getBindType() {
      return this.bindType;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Integer getBindState() {
      return this.bindState;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public BigDecimal getDiscount() {
      return this.discount;
   }

   public LocalDateTime getPayTime() {
      return this.payTime;
   }

   public Integer getIfRedress() {
      return this.ifRedress;
   }

   public String getResressPicurl() {
      return this.resressPicurl;
   }

   public String getRedressRemarks() {
      return this.redressRemarks;
   }

   public String getProSpecial() {
      return this.proSpecial;
   }

   public String getAlifToken() {
      return this.alifToken;
   }

   public String getAliSign() {
      return this.aliSign;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustLimitId(final Integer custLimitId) {
      this.custLimitId = custLimitId;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setSerialNumCard(final String serialNumCard) {
      this.serialNumCard = serialNumCard;
   }

   public void setPlateNum(final String plateNum) {
      this.plateNum = plateNum;
   }

   public void setBindType(final Integer bindType) {
      this.bindType = bindType;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setBindState(final Integer bindState) {
      this.bindState = bindState;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setDiscount(final BigDecimal discount) {
      this.discount = discount;
   }

   public void setPayTime(final LocalDateTime payTime) {
      this.payTime = payTime;
   }

   public void setIfRedress(final Integer ifRedress) {
      this.ifRedress = ifRedress;
   }

   public void setResressPicurl(final String resressPicurl) {
      this.resressPicurl = resressPicurl;
   }

   public void setRedressRemarks(final String redressRemarks) {
      this.redressRemarks = redressRemarks;
   }

   public void setProSpecial(final String proSpecial) {
      this.proSpecial = proSpecial;
   }

   public void setAlifToken(final String alifToken) {
      this.alifToken = alifToken;
   }

   public void setAliSign(final String aliSign) {
      this.aliSign = aliSign;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
